#!/usr/bin/env bash

#fixup omreg
cat /etc/opt/dell/srvadmin/omreg.d/*.cfg /etc/compat-omreg.cfg > /etc/opt/dell/srvadmin/omreg.cfg 2>/dev/null ||:

##########################################
# Perform Data Engine configuration
##########################################
source /opt/dell/srvadmin/lib/srvadmin-omilcore/Funcs.sh
DCECFG=$(GetRegVal /etc/opt/dell/srvadmin/omreg.cfg OMDataEngine.configtool)
DCICFG=$(GetRegVal /etc/opt/dell/srvadmin/omreg.cfg Instrumentation.configtool)

CLIREGUTIL=/opt/dell/srvadmin/lib/srvadmin-omacore/cli_ini_modifier.sh

#$DCECFG command=addmpialias update=TRUE startuptype=automatic \
#        aliasname=ssimp \
#        pathfname="/opt/dell/srvadmin/lib/openmanage/libdsm_sm_ssimp.so" \
#        dispatchfn=OMSSIMP_SMMIBImplementerDispatch \
#        displayname="OMSM_SNMP_IMPLEMENTER"
if [ -n "$1" ]
then
	if [ "$1" == "upgrade" ]
	then
		$CLIREGUTIL /opt/dell/srvadmin/lib/srvadmin-storage/storage.ini del
	fi
fi


# configure event logging
$DCECFG command=addepialias update=TRUE startuptype=automatic \
        aliasname=dcsipe \
        pathfname="/opt/dell/srvadmin/lib/openmanage/libdsm_sm_dcsipe.so" \
        dispatchfn=DCSIPE_SMEventImplementerDispatch \
        displayname="OMSM_EVENT_IMPLEMENTER"


DCICFG_CODES="2050 2051 2060 2061 2070 2071 2080 2081 2090 2091 2100 2101"
for code in $DCICFG_CODES
do
    $DCICFG command=addlrarespconfig \
            type=${code} \
            update=FALSE \
            settings=0 \
            epfname=
done

# configure Storage Services OM Data Populator
$DCECFG command=addpopalias update=TRUE startuptype=automatic \
        aliasname=ral \
        pathfname="/opt/dell/srvadmin/lib/openmanage/libdsm_sm_ral.so" \
        dispatchfn=RAL_SMPopulatorDispatch \
        displayname="OMSM_POPULATOR_IMPLEMENTER"

exit 0
